local addon, private = ...

private.AlertSet = {}
local AlertSet = private.AlertSet
AlertSet.__index = AlertSet

function AlertSet.Create(offset)
	local obj =	{ offset = offset or 0 }
	setmetatable(obj, AlertSet)
	obj:Clear()
	return obj
end

function AlertSet:Load(setNumber)
	self:Clear()
	if setNumber == 0 then return end
	self.active = setNumber
	
	for id, details in pairs(kAlertAlerts) do
		if details.set == setNumber + self.offset and self.count < private.kAlert.screenObjects.max then
			self.alerts[details.name] = details
			self.count = self.count + 1
		end
	end
end

function AlertSet:Save()
	for id, details in pairs(kAlertAlerts) do
		if details.set == self.active + self.offset then
			kAlertAlerts[id] = nil
		end
	end
	
	for id, details in pairs(self.alerts) do
		kAlertAlerts[tostring(self.active + self.offset) .. details.name] = details
	end
end

function AlertSet:Add(alert)
	if alert ~= nil and (self.count < private.kAlert.screenObjects.max or self.alerts[alert.name] ~= nil) then
		alert.set = self.active + self.offset
		self.alerts[alert.name] = alert
		self.count = self.count + 1
		return true
	end
	
	return false
end

function AlertSet:Delete(name)
	if self.alerts[name] ~= nil then
		self.alerts[name] = nil
		self.count = self.count - 1
		return true
	end
	
	return false
end


function AlertSet:Clear()
	self.count = 0
	self.alerts = {}
	self.active = nil
end


